#
# University of Surrey SSTL LEqO proposal
# Wei Sun, Martin Sweeting, Alex da Silva Curiel,
# Surrey Satellite Technology Ltd,
# LEO satellite constellation for regional communications,
# Proceedings of IAF '96.
# http://www.ee.surrey.ac.uk/SSC/CSER/UOSAT/papers/iaf96/leqo/leqo.html
#
# this script for SaVi 1.2, by Lloyd Wood (L.Wood@surrey.ac.uk)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/constellations/
# last updated March 1998, url/citation updated December 2003.
#
# $Id: leqo.tcl,v 1.5 2004/12/26 14:47:20 lloydwood Exp $

set NUM_SATS 8

# setup orbital elements
set a [expr 968.2+$RADIUS_OF_EARTH]
set e 0.0
set inc 0.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

# Elevation angle of five degrees for mobile users.
set coverage_angle 5.0

satellites GV_BEGIN

set T [expr $T_per ]
for {set j 0} {$j < $NUM_SATS} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_SATS]
	satellites LOAD $a $e $inc $Omega $omega $T
}
satellites GV_END
